tr, td {
    text-align: center;
    height: 40px;
    vertical-align: middle;
}

#resultsTable * td {
    padding: 1em;
}

#resultsTable thead tr td {
    font-weight: bolder;
    border-bottom: 1px solid gray;
}

.unknown, .gray {
    color: gray;
}

.licenced, .green {
    color: green;                
}

.notLicenced, .red {
    color: red;
}

.yellow {
    color: #ffa500;
}

.licenced .state {
    background-image: url("./ok.png");
}
 
.notLicenced .state{
    background-image: url("./nok.png");
}

.state, .vpnstate{
    background-position: center;
    background-repeat: no-repeat;
    background-size: auto;
}

.black {
    color: black;
}

.disabled {
    display:none;
}

.borderTop {
    border-top: 1px solid gray;
}

/* https://blog.hubspot.com/website/css-loading-animation */
.loader {
    margin: auto;
    border: 4px solid lightgray;
    border-radius: 50%;
    border-top: 4px solid orange;
    width: 40px;
    height: 40px;
    animation: spinner 4s linear infinite;
}
@keyframes spinner {
    0% { transform: rotate(0deg);}
    100% { transform: rotate(360deg);}
}